# Uses of Class
org.apache.wiki.auth.user.DuplicateUserException

Packages that use DuplicateUserException
Package
Description
org.apache.wiki.auth
Authentication, Authorization and the third A thing.
org.apache.wiki.auth.user

## Uses of DuplicateUserException in org.apache.wiki.auth

Methods in org.apache.wiki.auth that throw DuplicateUserException
Modifier and Type
Method
Description
`void`
DefaultUserManager.`setUserProfile(Context context, UserProfile profile)`
Saves the `UserProfile` for the user in a wiki session.
`void`
UserManager.`setUserProfile(Context context, UserProfile profile)`
Saves the `UserProfile` for the user in a wiki session.

## Uses of DuplicateUserException in org.apache.wiki.auth.user

Methods in org.apache.wiki.auth.user that throw DuplicateUserException
Modifier and Type
Method
Description
`void`
JDBCUserDatabase.`rename(String loginName, String newName)`
`void`
UserDatabase.`rename(String loginName, String newName)`
Renames a `UserProfile` in the user database by changing the profile's login name.
`void`
XMLUserDatabase.`rename(String loginName, String newName)`
Renames a `UserProfile` in the user database by changing the profile's login name.